<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.Inicial.iniciar_sessao">

    <EditText
        android:id="@+id/emailEditText"
        android:layout_width="300dp"
        android:layout_height="45dp"
        android:layout_marginTop="12dp"
        android:ems="10"
        android:hint="Email"
        android:inputType="textEmailAddress"
        app:layout_constraintEnd_toEndOf="@+id/textView"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="@+id/textView"
        app:layout_constraintTop_toBottomOf="@+id/textView" />

    <EditText
        android:id="@+id/palavraPasseEditText"
        android:layout_width="300dp"
        android:layout_height="45dp"
        android:ems="10"
        android:hint="Palavra-Passe"
        android:inputType="textPassword"
        app:layout_constraintEnd_toEndOf="@+id/emailEditText"
        app:layout_constraintStart_toStartOf="@+id/emailEditText"
        app:layout_constraintTop_toBottomOf="@+id/emailEditText" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/entarButton"
        android:layout_width="250dp"
        android:layout_height="45dp"
        android:layout_marginStart="100dp"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="100dp"
        android:background="#2196F3"
        android:backgroundTint="@color/black"
        android:shadowColor="#03A9F4"
        android:text="Entrar"
        android:textColor="#FFFFFF"
        android:textColorHighlight="#03A9F4"
        android:textColorHint="#03A9F4"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.512"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/esqueciAPalavraPasseButton"
        app:rippleColor="#03A9F4"
        app:strokeColor="#03A9F4" />

    <TextView
        android:id="@+id/esqueciAPalavraPasseButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Esqueci a Palavra-Passe"
        android:textColor="#03A9F4"
        app:layout_constraintEnd_toEndOf="@+id/palavraPasseEditText"
        app:layout_constraintHorizontal_bias="0.993"
        app:layout_constraintStart_toStartOf="@+id/palavraPasseEditText"
        app:layout_constraintTop_toBottomOf="@+id/palavraPasseEditText" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/criarContaButton"
        android:layout_width="250dp"
        android:layout_height="45dp"
        android:backgroundTint="#FFFFFF"
        android:text="Criar conta"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/entarButton"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="@+id/entarButton"
        app:layout_constraintTop_toBottomOf="@+id/entarButton"
        app:layout_constraintVertical_bias="0.04" />

    <TextView
        android:id="@+id/textView"
        android:layout_width="144dp"
        android:layout_height="37dp"
        android:layout_marginTop="8dp"
        android:text="bem vindo"
        android:textSize="30sp"
        app:layout_constraintEnd_toEndOf="@+id/imageView"
        app:layout_constraintStart_toStartOf="@+id/imageView"
        app:layout_constraintTop_toBottomOf="@+id/imageView" />

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="144dp"
        android:layout_height="148dp"
        android:layout_marginTop="172dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:srcCompat="@mipmap/img_cuida" />

</androidx.constraintlayout.widget.ConstraintLayout>